Page MenuHomeFreeBSD

Document cap_dns service.
ClosedPublic

Authored by oshogbo on Jan 4 2018, 8:08 AM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

oshogbo created this revision.Jan 4 2018, 8:08 AM
bcr added a subscriber: bcr.Jan 4 2018, 8:25 AM

A few suggestions and corrections. Thanks for writing the man page!

lib/libcasper/services/cap_dns/cap_dns.3
37 ↗(On Diff #37501)

s/capabilitie/capability/

69 ↗(On Diff #37501)

s/value/values/

92 ↗(On Diff #37501)

s/on/one/

96 ↗(On Diff #37501)

I would remove the "the" here and rewrite it to have it read:

"The following example first opens capability to casper and then uses this capability to create a new capability to the system.dns casper service and uses the latter capability to resolve an IP address.

107 ↗(On Diff #37501)

I would remove "the" here, unless you add "service" after Casper.

oshogbo updated this revision to Diff 37502.Jan 4 2018, 8:40 AM

Thank you @bcr for reviewing it!
I bet it was less painful to write it then to review it :)

oshogbo marked 5 inline comments as done.Jan 4 2018, 8:41 AM
bcr accepted this revision.Jan 4 2018, 8:43 AM

Haha, yeah. But only because you have a certain Goat looking over your shoulder when writing it. :-)

Macro goatforit:

This revision is now accepted and ready to land.Jan 4 2018, 8:43 AM
brueffer requested changes to this revision.Jan 4 2018, 10:59 AM
brueffer added a subscriber: brueffer.
brueffer added inline comments.
lib/libcasper/services/cap_dns/cap_dns.3
37 ↗(On Diff #37502)

geting -> getting

49 ↗(On Diff #37502)

The cap_getnameinfo() signature is missing.

51 ↗(On Diff #37502)

The functions

65 ↗(On Diff #37502)

Not sure I understand this sentence correctly; is assume the system.dns connection is required for all four cap_* variants?

Maybe something like this?

and
.Xr getnameinfo 2 ,
and expect that a connection to the
.Nm system.dns
service is provided.

69 ↗(On Diff #37502)

fallowing -> the following

73 ↗(On Diff #37502)

Probably .Va instead of .Dv since it's a variable?

77 ↗(On Diff #37502)

needs a space between NAME and .

78 ↗(On Diff #37502)

.Dv ADDR

83 ↗(On Diff #37502)

are allowed.

90 ↗(On Diff #37502)

function is allowed

92 ↗(On Diff #37502)

family -> families

96 ↗(On Diff #37502)

a capability

148 ↗(On Diff #37502)

All four entries above need a space between "3" and ","

This revision now requires changes to proceed.Jan 4 2018, 10:59 AM
oshogbo updated this revision to Diff 37549.Jan 5 2018, 7:01 AM

After review from @bruffer .
After you review I also noticed I forgot to document to other functions, really sorry for my sloppiness here.
I also update a example.

oshogbo marked 10 inline comments as done.Jan 5 2018, 7:05 AM
oshogbo added inline comments.
lib/libcasper/services/cap_dns/cap_dns.3
65 ↗(On Diff #37502)

I'm trying to say that the different between API of the get* and cap_get* are only in the one additional parameter with is connection to the system.dns.

73 ↗(On Diff #37502)

I'm really not sure about that.
.Va is an funtion argument
And the "type" here is an value of argument.
nvlist_add_type(nvl, "type", "ADDR");

oshogbo updated this revision to Diff 37550.Jan 5 2018, 7:06 AM

One more spelling fix.

brueffer requested changes to this revision.Jan 5 2018, 11:38 AM

Good progress! Hopefully these are the last comments.

lib/libcasper/services/cap_dns/cap_dns.3
65 ↗(On Diff #37502)

Ah! "expect -> except" below then :-)

Also "need" -> "needs"

73 ↗(On Diff #37502)

Sounds like .Va would be OK then. .Dv is more for constants and other explicit values.

84 ↗(On Diff #37550)

"for more deatls" -> "section for more details"

93 ↗(On Diff #37550)

to limit

108 ↗(On Diff #37550)

fallowing -> following

139 ↗(On Diff #37550)

a capability

142 ↗(On Diff #37550)

Lots of capabilities in one sentence :-) I'm not sure how to make this clearer though...

This revision now requires changes to proceed.Jan 5 2018, 11:38 AM
oshogbo marked 11 inline comments as done.Jan 8 2018, 12:09 AM
oshogbo updated this revision to Diff 37619.

Thanks @brueffer!

lib/libcasper/services/cap_dns/cap_dns.3
142 ↗(On Diff #37550)

Maybe like that?

brueffer requested changes to this revision.Jan 8 2018, 8:09 AM

Two more small changes, then it's ready to land.

lib/libcasper/services/cap_dns/cap_dns.3
71 ↗(On Diff #37619)

services -> service

198 ↗(On Diff #37619)

.Nm cap_dns

This revision now requires changes to proceed.Jan 8 2018, 8:09 AM
oshogbo updated this revision to Diff 37623.Jan 8 2018, 8:57 AM

Final changes.

oshogbo marked 2 inline comments as done.Jan 8 2018, 8:57 AM

Done.

brueffer accepted this revision.Jan 8 2018, 9:07 AM

Thanks for your patience :-)

This revision is now accepted and ready to land.Jan 8 2018, 9:07 AM

Thank you @brueffer and @bcr for dealing with my poor English :)

This revision was automatically updated to reflect the committed changes.